summaryrefslogtreecommitdiff
path: root/t/t4115-apply-symlink.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t4115-apply-symlink.sh')
-rwxr-xr-xt/t4115-apply-symlink.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/t/t4115-apply-symlink.sh b/t/t4115-apply-symlink.sh
index b947ed83bb..b852e58980 100755
--- a/t/t4115-apply-symlink.sh
+++ b/t/t4115-apply-symlink.sh
@@ -3,12 +3,18 @@
# Copyright (c) 2005 Junio C Hamano
#
-test_description='git-apply symlinks and partial files
+test_description='git apply symlinks and partial files
'
. ./test-lib.sh
+if ! test_have_prereq SYMLINKS
+then
+ say 'Symbolic links not supported, skipping tests.'
+ test_done
+fi
+
test_expect_success setup '
ln -s path1/path2/path3/path4/path5 link1 &&
@@ -33,7 +39,7 @@ test_expect_success 'apply symlink patch' '
git checkout side &&
git apply patch &&
git diff-files -p >patched &&
- git diff patch patched
+ test_cmp patch patched
'
@@ -42,7 +48,7 @@ test_expect_success 'apply --index symlink patch' '
git checkout -f side &&
git apply --index patch &&
git diff-index --cached -p HEAD >patched &&
- git diff patch patched
+ test_cmp patch patched
'